/*
# RTeranishi : $Revision$  
# $Date$ 
# Created by $Author$
# Usage : RTeranishi
# Attention
#   $Loccker$
#  	$State$ 
#
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"

#define DEBUG
#include "genUtil.h"


/*
Example:
typedef struct lRTeranishiInfo {
	float a;
	int   b;
} lRTeranishiInfo;

typedef enum lRTeranishiMode {
	a=0,
	b=1
} lRTeranishiMode;
*/

int
main(int argc, char* argv[]) 
{
	RTeranishiInfo info;

	init0(&info);
    argCheck(&info, argc, argv);
    init1(&info);

	fprintf(info.fptOut, "%d\n", info.number);
	DEBUGPRINT("Program Start\n");

	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
	fprintf(stderr, "----- Additional Usage -----\n");
}
